DROP TABLE CRST_HZ_PARTY_SITES;

CREATE TABLE CRST_HZ_PARTY_SITES
(
  PARTY_SITE_ID              NUMBER(15)         NOT NULL,
  PARTY_ID                   NUMBER(15)         NOT NULL,
  LOCATION_ID                NUMBER(15)         NOT NULL,
  LAST_UPDATE_DATE           DATE               NOT NULL,
  PARTY_SITE_NUMBER          VARCHAR2(30 BYTE)  NOT NULL,
  LAST_UPDATED_BY            NUMBER(15)         NOT NULL,
  CREATION_DATE              DATE               NOT NULL,
  CREATED_BY                 NUMBER(15)         NOT NULL,
  LAST_UPDATE_LOGIN          NUMBER(15),
  REQUEST_ID                 NUMBER(15),
  PROGRAM_APPLICATION_ID     NUMBER(15),
  PROGRAM_ID                 NUMBER(15),
  PROGRAM_UPDATE_DATE        DATE,
  WH_UPDATE_DATE             DATE,
  ATTRIBUTE_CATEGORY         VARCHAR2(30 BYTE),
  ATTRIBUTE1                 VARCHAR2(150 BYTE),
  ATTRIBUTE2                 VARCHAR2(150 BYTE),
  ATTRIBUTE3                 VARCHAR2(150 BYTE),
  ATTRIBUTE4                 VARCHAR2(150 BYTE),
  ATTRIBUTE5                 VARCHAR2(150 BYTE),
  ATTRIBUTE6                 VARCHAR2(150 BYTE),
  ATTRIBUTE7                 VARCHAR2(150 BYTE),
  ATTRIBUTE8                 VARCHAR2(150 BYTE),
  ATTRIBUTE9                 VARCHAR2(150 BYTE),
  ATTRIBUTE10                VARCHAR2(150 BYTE),
  ATTRIBUTE11                VARCHAR2(150 BYTE),
  ATTRIBUTE12                VARCHAR2(150 BYTE),
  ATTRIBUTE13                VARCHAR2(150 BYTE),
  ATTRIBUTE14                VARCHAR2(150 BYTE),
  ATTRIBUTE15                VARCHAR2(150 BYTE),
  ATTRIBUTE16                VARCHAR2(150 BYTE),
  ATTRIBUTE17                VARCHAR2(150 BYTE),
  ATTRIBUTE18                VARCHAR2(150 BYTE),
  ATTRIBUTE19                VARCHAR2(150 BYTE),
  ATTRIBUTE20                VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE_CATEGORY  VARCHAR2(30 BYTE),
  GLOBAL_ATTRIBUTE1          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE2          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE3          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE4          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE5          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE6          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE7          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE8          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE9          VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE10         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE11         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE12         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE13         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE14         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE15         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE16         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE17         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE18         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE19         VARCHAR2(150 BYTE),
  GLOBAL_ATTRIBUTE20         VARCHAR2(150 BYTE),
  ORIG_SYSTEM_REFERENCE      VARCHAR2(240 BYTE),
  START_DATE_ACTIVE          DATE,
  END_DATE_ACTIVE            DATE,
  REGION                     VARCHAR2(30 BYTE),
  MAILSTOP                   VARCHAR2(60 BYTE),
  CUSTOMER_KEY_OSM           VARCHAR2(255 BYTE),
  PHONE_KEY_OSM              VARCHAR2(255 BYTE),
  CONTACT_KEY_OSM            VARCHAR2(255 BYTE),
  IDENTIFYING_ADDRESS_FLAG   VARCHAR2(1 BYTE)   NOT NULL,
  LANGUAGE                   VARCHAR2(30 BYTE),
  STATUS                     VARCHAR2(1 BYTE)   NOT NULL,
  PARTY_SITE_NAME            VARCHAR2(240 BYTE),
  ADDRESSEE                  VARCHAR2(360 BYTE),
  OBJECT_VERSION_NUMBER      NUMBER,
  CREATED_BY_MODULE          VARCHAR2(150 BYTE),
  APPLICATION_ID             NUMBER,
  ACTUAL_CONTENT_SOURCE      VARCHAR2(30 BYTE)  DEFAULT 'USER_ENTERED'        NOT NULL,
  PARTY_SITE_ID_N            NUMBER(15),
  PARTY_SITE_NUMBER_N        VARCHAR2(30 BYTE)
);
